<?php

/*===============================================

	Option Tree

================================================*/

add_filter('ot_show_pages', '__return_false');
add_filter('ot_theme_mode', '__return_true');
include_once('option-tree/ot-loader.php');
include_once('includes/theme-options.php');


add_theme_support('post-thumbnails');
add_image_size('blog-thumb', 347, 230, true );
register_nav_menu('primary', __('Primary Menu', 'detroitfoodcompany'));


/*===============================================

	Remove Junk

================================================*/

remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'feed_links', 2);
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'feed_links_extra', 3);
remove_action('wp_head', 'start_post_rel_link', 10, 0);
remove_action('wp_head', 'parent_post_rel_link', 10, 0);
remove_action('wp_head', 'adjacent_posts_rel_link', 10, 0);


/*===============================================

    Enqueue Scripts & Styles

================================================*/

function bmgsite_scripts() {
    wp_enqueue_style('corecss', get_template_directory_uri() . '/css/core.css', array());
    wp_enqueue_style('defaultcss', get_template_directory_uri() . '/css/default.css', array());
    wp_enqueue_style('materializecss', get_template_directory_uri() . '/css/materialize.min.css', array());
    wp_enqueue_style('animatecss', get_template_directory_uri() . '/css/animate.css', array());
    wp_enqueue_style('maincss', get_template_directory_uri() . '/css/style.css', array(), '0.121');

    wp_enqueue_script('materializejs', get_template_directory_uri() . '/js/materialize.min.js');
    wp_enqueue_script('vendorsjs', get_template_directory_uri() . '/js/vendors.js', array('materializejs'));
    wp_register_script("mainjs", get_template_directory_uri() . '/js/script.js', array('materializejs', 'vendorsjs'), '0.19');
    wp_localize_script("mainjs", 'myAjax', array('ajaxurl' => admin_url('admin-ajax.php')));
    wp_enqueue_script("mainjs");
}
add_action( 'wp_enqueue_scripts', 'bmgsite_scripts' );

function row_shortcode( $atts, $content = "" ) {
    $content = wpautop(trim($content));
    $atts = shortcode_atts( array(
        'class' => '',
    ), $atts);
    return '<div class="row '.$atts['class'].'">'.do_shortcode($content).'</div>';
}
add_shortcode('row', 'row_shortcode');
function row2_shortcode( $atts, $content = "" ) {
    $content = wpautop(trim($content));
    $atts = shortcode_atts( array(
        'class' => '',
    ), $atts);
    return '<div class="table_row '.$atts['class'].'">'.do_shortcode($content).'</div>';
}
add_shortcode('row2', 'row2_shortcode');

function col_shortcode( $atts, $content = "" ) {
    $content = wpautop(trim($content));
    $atts = shortcode_atts( array(
        's' => '12',
        'class' => '',
    ), $atts);
    return '<div class="col s'.$atts['s'].' '.$atts['class'].'">'.$content.'</div>';
}
add_shortcode('col', 'col_shortcode');

remove_filter( 'the_content', 'wpautop' );
add_filter( 'the_content', 'wpautop' , 12);

add_action( 'admin_init', 'property_options_meta_box' );
function property_options_meta_box() {
    $property_meta_box = array(
        'id'        => 'page_options',
        'title'     => 'Page Settings',
        'desc'      => '',
        'pages'     => array('page'),
        'context'   => 'normal',
        'priority'  => 'high',
        'fields'    => array(
            array(
                'id'          => 'header_image',
                'label'       => 'Header Image',
                'type'        => 'upload'
            )
        )
    );
    ot_register_meta_box($property_meta_box);
}
