<?php
$template_class = "page homepage";
?>
<?php get_header(); ?>

    <div id="content">
        <div id="home" class="section section1">
            <div class="container">
                <div class="box">
                    <div class="logo"></div>
                    <h2><?php echo ot_get_option("header_title"); ?></h2>
                    <p><?php echo ot_get_option("header_description"); ?></p>
                </div>
                <a href="<?php echo ot_get_option("header_learn_more"); ?>" class="btn-1">Learn more</a>
            </div>
        </div>
        <div class="section section2">
            <div class="container hidden animate" data-animation="fadeIn">
                <?php echo ot_get_option("section2_content"); ?>
            </div>
        </div>
        <div class="section section3">
            <div class="container">
                <?php
                    $icons = ot_get_option("section3_icons");
                ?>
                <div class="row">
                    <?php
                        if ($icons != "") :
                            $i = 0;
                            foreach ($icons as $key => $icon) :
                    ?>
                    <div class="col s4 hidden animate" data-animation="flipInX" data-delay="<?php echo $i * 0.2; ?>">
                        <div class="icon" style="background-image:url(<?php echo $icon["icon"]; ?>)"></div>
                        <div class="title"><?php echo $icon["title"]; ?></div>
                    </div>
                    <?php $i++; endforeach; endif; ?>
                </div>
            </div>
        </div>
        <div class="section section4">
            <div class="container">
                <?php echo ot_get_option("section4_content"); ?>
                <?php
                    $icons = ot_get_option("section4_images");
                ?>
                <div class="row">
                    <?php
                        if ($icons != "") :
                            $i = 0;
                            foreach ($icons as $key => $icon) :
                    ?>
                    <div class="col s4 hidden animate" data-animation="zoomIn" data-delay="<?php echo $i * 0.2; ?>">
                        <img src="<?php echo $icon["image"]; ?>" alt="">
                    </div>
                    <?php $i++; endforeach; endif; ?>
                </div>
                <a href="<?php echo ot_get_option("section4_learn_more"); ?>" class="btn-1">Learn more</a>
            </div>
        </div>
        <div class="section section5">
            <div class="container hidden animate" data-animation="fadeIn">
                <ul class="slider">
                    <li>
                        <?php echo ot_get_option("section5_content"); ?>
                        <div class="row">
                            <?php
                                $slider = ot_get_option("services_slider");
                                if ($slider != "") :
                                    foreach ($slider as $key => $slide) :
                            ?>
                            <div class="col s4">
                                <div class="icon" style="background-image:url(<?php echo $slide["icon"]; ?>)"></div>
                                <div class="title"><?php echo $slide["title"]; ?></div>
                            </div>
                            <?php endforeach; endif; ?>
                        </div>
                    </li>
                    <li>
                        <div class="icon icon1"></div>
                        <h2>Custom Sawing</h2>
                    </li>
                    <li>
                        <div class="icon icon2"></div>
                        <h2>Custom Designs</h2>
                    </li>
                    <li>
                        <div class="icon icon3"></div>
                        <h2>Lab facilities</h2>
                    </li>
                    <li>
                        <div class="icon icon4"></div>
                        <h2>Pallet design psd</h2>
                    </li>
                </ul>
            </div>
        </div>
        <div id="contact" class="section section6">
            <div class="container hidden animate" data-animation="fadeIn">
                <h2>Contact Us</h2>
                <form id="contact_form" action="<?php echo get_template_directory_uri(); ?>/send.php" method="post" class="form-validation">
                    <div class="message_success card-panel light-green darken-3 white-text" style="display:none">
                        Your message has been sent, thank you!
                    </div>
                    <div class="row">
                        <div class="col s6">
                            <p><input type="text" name="first_name" class="required" placeholder="First Name"></p>
                        </div>
                        <div class="col s6">
                            <p><input type="text" name="last_name" class="required" placeholder="Last Name"></p>
                        </div>
                    </div>
                    <p><input type="text" name="company" class="required" placeholder="Company Name"></p>
                    <div class="row">
                        <div class="col s6">
                            <p><input type="text" name="phone" class="required" placeholder="Phone"></p>
                        </div>
                        <div class="col s6">
                            <p><input type="email" name="email" class="required email" placeholder="Email"></p>
                        </div>
                    </div>
                    <p><textarea name="message" class="materialize-textarea required" placeholder="Message"></textarea></p>
                    <p class="center-align"><button type="submit" class="btn waves-effect">Submit</button></p>
                    <div class="clear"></div>
                </form>
            </div>
        </div>
        <div class="section section7">
            <div id="map"></div>
        </div>
        <?php get_template_part("parts/footer"); ?>
    </div>

    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCh1jh3UTe9r8qZ9WVP2Rj89qmrwZkzDUU"></script>
    <script type="text/javascript">
        var map;
        function initialize() {
            var mapOptions = {
                zoom: 15,
                scrollwheel: false,
                disableDefaultUI: false,
                center: new google.maps.LatLng(42.3244006,-83.1305805),
                styles: [{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#444444"}]},{"featureType":"landscape","elementType":"all","stylers":[{"color":"#f2f2f2"}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"all","stylers":[{"saturation":-100},{"lightness":45}]},{"featureType":"road.highway","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"color":"#46bcec"},{"visibility":"on"}]}]
            };
            map = new google.maps.Map(document.getElementById('map'), mapOptions);
            var marker = new google.maps.Marker({
                position: new google.maps.LatLng(42.3244006,-83.1305805),
                map: map
            });
        }
        google.maps.event.addDomListener(window, 'load', initialize);
    </script>

<?php get_footer(); ?>
