<?php
/*
Template Name:Products
*/
$template_class = "page products";
?>
<?php get_header(); ?>

    <div id="content">
        <?php
            $style = "";
            $bg = get_post_meta(get_the_ID(), "header_image", true);
            if ($bg != "") {
                $style = ' style="background-image:url('.$bg.')"';
            }
        ?>
        <div class="section section1"<?php echo $style; ?>></div>
        <div class="section section2">
            <div class="container">
                <h2>Products</h2>
                <?php
                    $products = ot_get_option("products_items");
                ?>
                <div class="products">
                    <?php
                        if ($products != "") :
                            $i = 0;
                            foreach ($products as $key => $product) :
                    ?>
                    <div class="product hidden animate" data-animation="flipInX" data-delay="<?php echo $i * 0.2; ?>">
                        <div class="thumb"><img src="<?php echo $product["image"]; ?>" alt=""></div>
                        <div class="title"><?php echo $product["title"]; ?></div>
                    </div>
                    <?php $i++; endforeach; endif; ?>
                </div>
            </div>
        </div>
        <div class="section section3">
            <div class="container hidden animate" data-animation="fadeIn">
                <?php
                    while(have_posts()) {
                        the_post();
                        the_content();
                    }
                ?>
                <div class="row">
                    <?php
                        $icons = ot_get_option("products_services_icons");
                        if ($icons != "") :
                            foreach ($icons as $key => $icon) :
                    ?>
                    <div class="col s3">
                        <div class="icon" style="background-image:url(<?php echo $icon["icon"]; ?>)"></div>
                        <div class="title"><?php echo $icon["title"]; ?></div>
                    </div>
                    <?php endforeach; endif; ?>
                </div>
            </div>
        </div>
        <div class="section section4">
            <div id="map"></div>
        </div>
        <?php get_template_part("parts/footer"); ?>
    </div>

    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCh1jh3UTe9r8qZ9WVP2Rj89qmrwZkzDUU"></script>
    <script type="text/javascript">
        var map;
        function initialize() {
            var mapOptions = {
                zoom: 15,
                scrollwheel: false,
                disableDefaultUI: false,
                center: new google.maps.LatLng(42.3244006,-83.1305805),
                styles: [{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#444444"}]},{"featureType":"landscape","elementType":"all","stylers":[{"color":"#f2f2f2"}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"all","stylers":[{"saturation":-100},{"lightness":45}]},{"featureType":"road.highway","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"color":"#46bcec"},{"visibility":"on"}]}]
            };
            map = new google.maps.Map(document.getElementById('map'), mapOptions);
            var marker = new google.maps.Marker({
                position: new google.maps.LatLng(42.3244006,-83.1305805),
                map: map
            });
        }
        google.maps.event.addDomListener(window, 'load', initialize);
    </script>

<?php get_footer(); ?>
